#==============================================================================
# §package      DE_EPAGES::OpenAI::API::Constants
# §state        private
#------------------------------------------------------------------------------
# §description  Constants Constants Constants!
#==============================================================================
package DE_EPAGES::OpenAI::API::Constants;
use base Exporter;

use strict;
use Readonly;

our @EXPORT_OK = qw (
    $API_COMPLETIONS_URL
    $API_COMPLETIONS_DEFAULT_MODEL
    $API_COMPLETIONS_DEFAULT_TEMPERATURE
);

Readonly our $API_COMPLETIONS_URL => 'https://api.openai.com/v1/chat/completions';

Readonly our $API_COMPLETIONS_DEFAULT_MODEL => 'gpt-3.5-turbo';

Readonly our $API_COMPLETIONS_DEFAULT_TEMPERATURE => 1;

1;
